[vdr] VDR 1.7.7 compile problem with gcc 4.4

gimli gimli at dark-green.com
Wed May 27 17:02:52 CEST 2009


Sure, the patch is not the best solution. You are right, whats to ment
const should be const. In the first step it's more or less a speed fix :D

> On Wed, 2009-05-27 at 16:40 +0200, gimli wrote:
> ...
>> have compile errors with gcc 4.4. The attached patch makes vdr 1.7.7
>> compileable.
>
> I wonder if it would not be better to make as many things
> as possible "const" rather than casting existing consts away.
>
> I my code, I am trying to make everything const that I
> do not have to change. It allows the compiler to make
> additional optimizations and it is safer (protects against
> unintended modifications).
>
> Carsten.
>
>
> _______________________________________________
> vdr mailing list
> vdr at linuxtv.org
> http://www.linuxtv.org/cgi-bin/mailman/listinfo/vdr
>
>
>





More information about the vdr mailing list